﻿using System.Runtime.Serialization;
using IdeaBlade.EntityModel;

namespace DomainModel {

  /// <summary>
  /// Class used to send information to client subscribers.  Types passed to or from a Push service must be serializable,
  /// and marked as known types.  If not marked as a known type, the service will appear to hang and clients will
  /// not receive any notifications sent.
  /// </summary>
  [DataContract]
  public class LongRunningInfo : IKnownType {

    public LongRunningInfo(string msg, int pct) {
      this.Message = msg;
      this.CompletionPercent = pct;
    }

    [DataMember]
    public string Message { get; set; }

    [DataMember]
    public int CompletionPercent { get; set; }
  }
}
